LIBRARY IEEE;
USE IEEE.std_logic_1164.all;
ENTITY SCHEMATIC1 IS PORT (
	SUM : OUT std_logic;
	X : IN std_logic;
	Y : IN std_logic;
	CARRY : OUT std_logic;
	C_IN : IN std_logic
); END SCHEMATIC1;



ARCHITECTURE STRUCTURE OF SCHEMATIC1 IS

-- COMPONENTS

COMPONENT \74LS86\
	PORT (
	I0_A : IN std_logic;
	I1_A : IN std_logic;
	O_A : OUT std_logic;
	VCC : IN std_logic;
	GND : IN std_logic;
	I0_B : IN std_logic;
	I1_B : IN std_logic;
	O_B : OUT std_logic;
	I0_C : IN std_logic;
	I1_C : IN std_logic;
	O_C : OUT std_logic;
	I0_D : IN std_logic;
	I1_D : IN std_logic;
	O_D : OUT std_logic
	); END COMPONENT;

COMPONENT \74LS08\
	PORT (
	I0_A : IN std_logic;
	I1_A : IN std_logic;
	O_A : OUT std_logic;
	VCC : IN std_logic;
	GND : IN std_logic;
	I0_B : IN std_logic;
	I1_B : IN std_logic;
	O_B : OUT std_logic;
	I0_C : IN std_logic;
	I1_C : IN std_logic;
	O_C : OUT std_logic;
	I0_D : IN std_logic;
	I1_D : IN std_logic;
	O_D : OUT std_logic
	); END COMPONENT;

COMPONENT \74LS32\
	PORT (
	I0_A : IN std_logic;
	I1_A : IN std_logic;
	O_A : OUT std_logic;
	VCC : IN std_logic;
	GND : IN std_logic;
	I0_B : IN std_logic;
	I1_B : IN std_logic;
	O_B : OUT std_logic;
	I0_C : IN std_logic;
	I1_C : IN std_logic;
	O_C : OUT std_logic;
	I0_D : IN std_logic;
	I1_D : IN std_logic;
	O_D : OUT std_logic
	); END COMPONENT;

-- SIGNALS

SIGNAL N008652 : std_logic;
SIGNAL N00050 : std_logic;
SIGNAL N00107 : std_logic;
SIGNAL VCC : std_logic;
SIGNAL GND : std_logic;

-- INSTANCE ATTRIBUTES



-- GATE INSTANCES

BEGIN
U1 : \74LS86\	PORT MAP(
	I0_A => X, 
	I1_A => Y, 
	O_A => N00050, 
	VCC => VCC, 
	GND => GND, 
	I0_B => N00050, 
	I1_B => C_IN, 
	O_B => SUM, 
	I0_C => 'Z', 
	I1_C => 'Z', 
	O_C => OPEN, 
	I0_D => 'Z', 
	I1_D => 'Z', 
	O_D => OPEN
);
U2 : \74LS08\	PORT MAP(
	I0_A => X, 
	I1_A => Y, 
	O_A => N00107, 
	VCC => VCC, 
	GND => GND, 
	I0_B => N00050, 
	I1_B => C_IN, 
	O_B => N008652, 
	I0_C => 'Z', 
	I1_C => 'Z', 
	O_C => OPEN, 
	I0_D => 'Z', 
	I1_D => 'Z', 
	O_D => OPEN
);
U3 : \74LS32\	PORT MAP(
	I0_A => N008652, 
	I1_A => N00107, 
	O_A => CARRY, 
	VCC => VCC, 
	GND => GND, 
	I0_B => 'Z', 
	I1_B => 'Z', 
	O_B => OPEN, 
	I0_C => 'Z', 
	I1_C => 'Z', 
	O_C => OPEN, 
	I0_D => 'Z', 
	I1_D => 'Z', 
	O_D => OPEN
);
END STRUCTURE;

