LIBRARY IEEE;
USE IEEE.std_logic_1164.all;
ENTITY SCHEMATIC1 IS PORT (
	B1 : IN std_logic;
	A0 : IN std_logic;
	B2 : IN std_logic;
	A1 : IN std_logic;
	B3 : IN std_logic;
	A2 : IN std_logic;
	A3 : IN std_logic;
	DIFF : OUT std_logic;
	B0 : IN std_logic
); END SCHEMATIC1;



ARCHITECTURE STRUCTURE OF SCHEMATIC1 IS

-- COMPONENTS

COMPONENT \74LS86\
	PORT (
	I0_A : IN std_logic;
	I1_A : IN std_logic;
	O_A : OUT std_logic;
	VCC : IN std_logic;
	GND : IN std_logic;
	I0_B : IN std_logic;
	I1_B : IN std_logic;
	O_B : OUT std_logic;
	I0_C : IN std_logic;
	I1_C : IN std_logic;
	O_C : OUT std_logic;
	I0_D : IN std_logic;
	I1_D : IN std_logic;
	O_D : OUT std_logic
	); END COMPONENT;

COMPONENT \74LS02\
	PORT (
	I0_A : IN std_logic;
	I1_A : IN std_logic;
	O_A : OUT std_logic;
	VCC : IN std_logic;
	GND : IN std_logic;
	I0_B : IN std_logic;
	I1_B : IN std_logic;
	O_B : OUT std_logic;
	I0_C : IN std_logic;
	I1_C : IN std_logic;
	O_C : OUT std_logic;
	I0_D : IN std_logic;
	I1_D : IN std_logic;
	O_D : OUT std_logic
	); END COMPONENT;

COMPONENT \74LS00\
	PORT (
	I0_A : IN std_logic;
	I1_A : IN std_logic;
	O_A : OUT std_logic;
	VCC : IN std_logic;
	GND : IN std_logic;
	I0_B : IN std_logic;
	I1_B : IN std_logic;
	O_B : OUT std_logic;
	I0_C : IN std_logic;
	I1_C : IN std_logic;
	O_C : OUT std_logic;
	I0_D : IN std_logic;
	I1_D : IN std_logic;
	O_D : OUT std_logic
	); END COMPONENT;

-- SIGNALS

SIGNAL orcad_unused:std_logic:='X';
SIGNAL N02214 : std_logic;
SIGNAL N02207 : std_logic;
SIGNAL N02167 : std_logic;
SIGNAL GND : std_logic;
SIGNAL VCC : std_logic;
SIGNAL N02174 : std_logic;
SIGNAL N02188 : std_logic;
SIGNAL N02181 : std_logic;

-- GATE INSTANCES

BEGIN
U1 : \74LS86\	PORT MAP(
	I0_A => A0, 
	I1_A => B0, 
	O_A => N02167, 
	VCC => VCC, 
	GND => GND, 
	I0_B => A1, 
	I1_B => B1, 
	O_B => N02174, 
	I0_C => A2, 
	I1_C => B2, 
	O_C => N02181, 
	I0_D => A3, 
	I1_D => B3, 
	O_D => N02188
);
U2 : \74LS02\	PORT MAP(
	I0_A => N02167, 
	I1_A => N02174, 
	O_A => N02207, 
	VCC => VCC, 
	GND => GND, 
	I0_B => N02181, 
	I1_B => N02188, 
	O_B => N02214, 
	I0_C => orcad_unused, 
	I1_C => orcad_unused, 
	O_C => OPEN, 
	I0_D => orcad_unused, 
	I1_D => orcad_unused, 
	O_D => OPEN
);
U3 : \74LS00\	PORT MAP(
	I0_A => N02207, 
	I1_A => N02214, 
	O_A => DIFF, 
	VCC => VCC, 
	GND => GND, 
	I0_B => orcad_unused, 
	I1_B => orcad_unused, 
	O_B => OPEN, 
	I0_C => orcad_unused, 
	I1_C => orcad_unused, 
	O_C => OPEN, 
	I0_D => orcad_unused, 
	I1_D => orcad_unused, 
	O_D => OPEN
);
END STRUCTURE;

